package org.academiadecodigo.bootcamp.car;

import org.academiadecodigo.bootcamp.grid.GridDirection;
import org.academiadecodigo.bootcamp.grid.position.GridPosition;

/**
 * MIT License
 * (c) 2017 Ricardo Constantino
 */

public class Human extends Car {

    public Human(GridPosition pos) {
        super(pos, CarType.HUMAN);

        // jesus christ, so hacky
        getPos().hide();
    }

    public void show() {
        uncrash();
        getPos().show();
    }

    @Override
    public void move() {
    }

    public void move(GridDirection direction) {
        if (direction == null) { return; }
        accelerate(direction, 1);
    }

    @Override
    public GridDirection chooseDirection() {
        return this.currentDirection;
    }
}
